Last modified: 2014-09-25 19:45:20 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 58254 - Move editOptions styling into mediawiki.skinning.interface module
Move editOptions styling into mediawiki.skinning.interface module
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
1.23.0
All All
: Normal normal (vote)
: 1.25.0 release
Assigned To: Isarra
:
Depends on:
Blocks: 27292
  Show dependency treegraph
 
Reported: 2013-12-10 05:38 UTC by Isarra
Modified: 2014-09-25 19:45 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
editOptions in vector (37.65 KB, image/png)
2013-12-16 18:35 UTC, Isarra
Details

Description Isarra 2013-12-10 05:38:49 UTC
The styling for the editOptions box when editing a page only really applies to Vector and similar skins, but it's in a global file and loaded after the skin css - so not only does it apply to all skins, it even overrides the styling of other skins unless you add some messy selectors to override the override.

It should probably just be in the shared css for Vector/MonoBook instead.
Comment 1 Bartosz Dziewoński 2013-12-16 12:19:21 UTC
What box and what styling? (Screenshot please? :) )
Comment 2 Isarra 2013-12-16 18:35:08 UTC
Created attachment 14107 [details]
editOptions in vector

It's div id #editOptions. The grey box. 

I don't know where the styling actually is, just that it's not in the skin and I couldn't find it. It's what makes it grey like that and adds padding and stuff.

That's not necessarily very good for other skins.
Comment 3 Bartosz Dziewoński 2013-12-17 11:24:24 UTC
Several styles for the edit form are defined in /resources/mediawiki.action/mediawiki.action.edit.styles.css; personally I think they are rather unobtrusive, for all core skins at least.

The particular style we're complaining about here is:

.editOptions {
	background-color: #F0F0F0;
	border: 1px solid silver;
	border-top: none;
	padding: 1em 1em 1.5em 1em;
	margin-bottom: 2em;
}

I think it's okay, but admittedly I don't make custom skins. I'm not a fan of putting more action- or page-specific styles in shared CSS in general, though, we could use skinStyles here or something.

By the way, you can override these rules by using !important or a higher-specificity selector like #editform .editOptions.
Comment 4 Isarra 2014-09-24 20:27:16 UTC
Should probably be in the mediawiki.skinning.interface module with the other stuff intended for monobook, vector, and similar skins. Probably interface.css would be the one to move it to, since it's specifically interface styling.

This way only skins that it would work with anyway will get it, since the catlinks etc also share similar styling and are styled here.
Comment 5 Gerrit Notification Bot 2014-09-25 19:38:23 UTC
Change 162763 had a related patch set uploaded by Bartosz Dziewoński:
Move editoptions styling to mediawiki.skinning/interface.css

https://gerrit.wikimedia.org/r/162763
Comment 6 Gerrit Notification Bot 2014-09-25 19:45:20 UTC
Change 162763 merged by jenkins-bot:
Move editoptions styling to mediawiki.skinning/interface.css

https://gerrit.wikimedia.org/r/162763

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links